package com.example.backendlesstest.activities;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;

import com.backendless.Backendless;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.push.DeviceRegistrationResult;
import com.example.backendlesstest.Defaults;
import com.example.backendlesstest.R;


public class MainActivity extends AppCompatActivity {

    public Button messsaging_button;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        Backendless.initApp(getApplicationContext(), Defaults.APP_ID, Defaults.Android_KEY);
        Backendless.setUrl(Defaults.host);

        messsaging_button = (Button) findViewById(R.id.messaging_button);
        messsaging_button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {


                Backendless.Messaging.registerDevice((AsyncCallback<DeviceRegistrationResult>) null);


                Intent intent = new Intent( getApplicationContext(), Messaging_Activity.class);
                startActivity(intent);
            }
        });

    }



}
